# commit\_s3\_objects

```none

Create validityBase (vBase) dataset commitments for S3 objects. 
Records timestamped signatures (commitments) for one or more S3 objects. 
A commitment proves that an object was known to a user at a given point-in-time
and belonged to a given dataset.
Such commitments establish provenance and PIT accuracy of datasets and its records.
```

```default
commit_s3_objects [-h] --dataset_name DATASET_NAME --bucket BUCKET [--key KEY]
                  [--key_prefix KEY_PREFIX] [--key_pattern KEY_PATTERN]
                  [--version {latest,version_id}] [--version_id VERSION_ID]
                  [--use_aws_access_key] [--verbose] [--test]
```

## commit\_s3\_objects options

* [**`-h`**](/python-sdk/index-1/commit_s3_objects.md), [**`--help`**](/python-sdk/index-1/commit_s3_objects.md) - show this help message and exit
* [**`--dataset_name`**](/python-sdk/index-1/commit_s3_objects.md) `DATASET_NAME` - vBase dataset to receive commitments
* [**`--bucket`**](/python-sdk/index-1/commit_s3_objects.md) `BUCKET` - S3 bucket name
* [**`--key`**](/python-sdk/index-1/commit_s3_objects.md) `KEY` - S3 object key: If supplied, a single object will be committed. –key, –key\_prefix, or –key\_pattern argument must be provided.
* [**`--key_prefix`**](/python-sdk/index-1/commit_s3_objects.md) `KEY_PREFIX` - S3 object key prefix: If supplied, objects matching the prefix will be committed. –key, –key\_prefix, or –key\_pattern argument must be provided.
* [**`--key_pattern`**](/python-sdk/index-1/commit_s3_objects.md) `KEY_PATTERN` - S3 object key pattern: If supplied, objects matching the wildcard pattern will be committed.\
  –key, –key\_prefix, or –key\_pattern argument must be provided.
* [**`--version`**](/python-sdk/index-1/commit_s3_objects.md) `VERSION` - S3 object version: If latest is specified, the latest object will be committed. If version\_id is specified, –version\_id argument must be provided, and the version specified by version\_id will be committed. The version\_id option is only compatible with single object (–key argument) commitments. (default: `latest`)
* [**`--version_id`**](/python-sdk/index-1/commit_s3_objects.md) `VERSION_ID` - S3 object version ID to commit
* [**`--use_aws_access_key`**](/python-sdk/index-1/commit_s3_objects.md) - use AWS authentication: If specified, AWS Access Key defined in .env will be used. In this case, .env must define AWS\_ACCESS\_KEY\_ID and AWS\_SECRET\_ACCESS\_KEY variables.
* [**`--verbose`**](/python-sdk/index-1/commit_s3_objects.md) - verbose output
* [**`--test`**](/python-sdk/index-1/commit_s3_objects.md) - use a test vBase contract

```none

examples:
    python3 -m tools.commit_s3_objects --dataset_name=test --bucket=pitlabs-c2-test --key=commit_s3_objects/test_1.txt --use_aws_access_key
    python3 -m tools.commit_s3_objects --dataset_name=test --bucket=pitlabs-c2-test --key_prefix=commit_s3_objects/ --use_aws_access_key
    python3 -m tools.commit_s3_objects --dataset_name=test --bucket=pitlabs-c2-test --key_pattern=commit_s3_objects/*.txt --use_aws_access_key --verbose
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vbase.com/python-sdk/index-1/commit_s3_objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
